<?php require_once('../Connections/cn_conexion.php'); ?>
<?php include_once("../includes/funciones.php");?>
<?php
$txt=trim($_GET['txt']);
$tipodoc=$_GET['tipodoc'];

if($txt==""){
	$consult_parcial="";
	}else{
		$consult_parcial="  AND clientes.nom_cliente='".cadenaopt($txt)."'  ";	
		}
?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

mysql_select_db($database_cn_conexion, $cn_conexion);
$query_rs_documento = "SELECT * FROM documento, clientes WHERE documento.tipo_documento='".$tipodoc."' AND documento.anulado='0' AND clientes.id_cliente=documento.id_cliente  ".$consult_parcial." ORDER BY documento.hab_documento DESC, documento.fecha_emision DESC";
$rs_documento = mysql_query($query_rs_documento, $cn_conexion) or die(mysql_error());
$row_rs_documento = mysql_fetch_assoc($rs_documento);
$totalRows_rs_documento = mysql_num_rows($rs_documento);
?>
<?php
if($totalRows_rs_documento>0){
?>
                  <?php do { ?>
                  <?php
                  if($row_rs_documento['hab_documento']=='0'){
				    $classe_colortexto="enlace_cancelar";
					$clase_texto='class="texto_cancelar"';
					}else{
						$classe_colortexto="enlace_normal";
						$clase_texto="";
						}
				  ?>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="12%" height="25" align="center"><p <?php echo($clase_texto);?>>
                        <?php $num_doc=$row_rs_documento['num_documento']; echo($num_doc); ?>
                      </p></td>
                      <td width="40%"><p><a href="#" class="<?php echo($classe_colortexto);?>" onclick="modificar_documento('<?php echo $row_rs_documento['id_documento']; ?>')">
                        <?php $nom_cli=$row_rs_documento['nom_cliente']; echo($nom_cli);?>
                        </a></p></td>
                      <td width="12%"><p <?php echo($clase_texto);?>>
                        <?php $monto=$row_rs_documento['monto']; echo($monto);?>
                      </p></td>
                      <td width="11%"><p <?php echo($clase_texto);?>>
                        <?php $moneda=$row_rs_documento['moneda']; if($moneda=='S'){echo("Soles");}else{echo("Dolares");} ?>
                      </p></td>
                      <td width="12%"><p <?php echo($clase_texto);?>>
                        <?php $emision=$row_rs_documento['fecha_emision']; echo(fecha_peru($emision));?>
                      </p></td>
                      <td width="13%"><p <?php echo($clase_texto);?>>
                      <?php $cancelado=$row_rs_documento['fecha_cancelado']; echo(fecha_peru($cancelado));?>
                      </p></td>
                    </tr>
                 </table>
                    <?php } while ($row_rs_documento = mysql_fetch_assoc($rs_documento)); ?>
<?php
}else{
	echo("No se ha encontrado documentos");
	}
?>
<?php

mysql_free_result($rs_documento);
?>
